@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700&display=swap');


*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    list-style: none;
    border: none;
    outline: none;
    scroll-behavior: smooth;
    font-family: 'Poppins', sans-serif;

}

:root{
    --bg-color: linear-gradient(245.45deg, #4d9559 0%, #38703d 28.53%, #133917 75.52% );
    --snd-bg-color: #111;
    --text-color: #fff;
    --main-color: #fff8dd;
    
}

html{
    font-size: 61%;
    overflow-x: hidden;
    background: linear-gradient(245.45deg, #4d9559 0%, #38703d 28.53%, #0b200d 75.52% );

}

body{
    background: var(--bg-color);
    color: var(--text-color);

}

section{
    min-height: 100vh;
    padding: 10rem 8% 2rem;

}

/* Header Section  */

header{
    position: fixed;
    width: 100%;
    top: 0;
    right: 0%;
    z-index: 1000;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 2rem 9%;
    background: rgba(0, 0,0, 0.5);
    backdrop-filter: blur(10px);
    transition: all 0.2s ease;

}

.logo{
    font-size: 3rem;
    color: var(--text-color);
    font-weight: 800;
    cursor: pointer;
    transition: all 0.3s ease-in-out;
    font-family: Georgia, 'Times New Roman', Times, serif;
}

.logo:hover{
    transform: scale(1.1);

}

span{
    color: var(--main-color);

}

.navbar{
    display: flex;

}

.navbar a{
    font-size: 1.8rem;
    font-weight: 500;
    color: var(--text-color);
    margin-left: 4rem;
    transition: all 0.5s ease;
    border-bottom: 3px solid transparent;

}

.navbar a:hover,
.navbar a.active{
    color: var(--main-color);
    border-bottom: 3px solid var(--main-color);
    border-radius: 7px;
}

.nav-btn{
    display: inline-block;
    padding: 1rem 2.8rem;
    background: transparent;
    color: var(--main-color);
    border: 2px solid var(--main-color);
    border-radius: 1rem;
    font-size: 1.6rem;
    font-weight: 600;
    transition: all 0.3s ease;

}

.nav-btn:hover{
    background: var(--bg-color);
    color: var(--text-color);
    box-shadow: 0 0 10px var(--main-color);
}

#menu-icon{
    font-size: 3.6rem;
    color: var(--main-color);
    cursor: pointer;
    display: none;
}

/* Home Section  */

.home{
    display: flex;
    justify-content: center;
    align-items: center;

}

.home-content{
    text-align: center;
    justify-content: center;
    align-items: center;
    width: 81%;
    height: fit-content;
}

.home-content mark{
    background-color: white;
    color:#2fb03c ;
    border-radius: 5px;
    max-height: max-content;
    height: 1px;
}

.home-content h3{
    font-size:20px;
    font-weight: 561;

}


.home-content span{
    font-size: 4rem;
    font-weight: 550;

}

span{
    color: var(--main-color);

}

.home-content h1{
    font-size: 90px;
    font-weight: 700;
    line-height: 1.3;
}

.home-content p{
    font-size: 25px;
    letter-spacing: -1px;
    margin-bottom: 2rem;
    margin-top: 2rem;
    
}

.Kalori{
    color: var(--main-color);
}

.btn{
    display: inline-block;
    padding: 1rem 2.8rem;
    background: transparent;
    border: 3px solid var(--main-color);
    border-radius: 12px;
    box-shadow: none;
    font-size: 1.6rem;
    color: var(--text-color);
    letter-spacing: 0.1rem;
    font-weight: 600;
    transition: all 0.3s ease;
    margin-top: 31px;
}

.btn:hover{
    color: var(--text-color);
    box-shadow: 0 0 1.6rem var(--main-color);
    
}

/* About Section  */

.about{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 1rem;

}

.about-img img{
    width: 50vw;
    border: 2px solid var(--text-color);
    border-radius: 12px;
}

.about-img img:hover {
    border: 2px solid var(--main-color);
}

.about-content .heading{
    text-align: center;
    font-size: 4.5rem;
}

.about-content{
    padding: 0 3rem;
}

.about-content h2{
    text-align: left;
    line-height: 1.2;

}

.about-content p{
    font-size: 1.6rem;
    margin: 2rem 0 2rem;

}

.footer{
    position: relative;
    bottom: 0;
    width: 100%;
    padding: 40px 0;
    background: var(--snd-bg-color);

}

.footer .social{
    text-align: center;
    padding-bottom: 3px;
    color: var(--main-color);
    transition: all 0.3 ease;

}

.footer .social a{
    font-size: 25px;
    color: var(--main-color);
    width: 42px; 
    height: 42px;
    display: inline-block;
    text-align: center;
    border-radius: 50%;
    margin: 0 10px;
    transition: all 0.5 ease;
}

.footer .social a:hover{
    transform: scale(1.02) translateY(-3px);
}

.footer .copyright{
    margin-top: 20px;
    text-align: center;
    font-size: 16px;
    color: var(--text-color);

}

/* ScrollBar Design  */

::-webkit-scrollbar{
    width: 15px;
}

::-webkit-scrollbar-thumb{
    background-color: var(--main-color);
    width: 50px;
}

/* Responsive Design  */

@media (max-width:1200px){
    html{
        font-size: 55%;

    }
}

@media (max-width:990px){
    #menu-icom{
        display: block;
    }

    .navbar{
        position: absolute;
        top: 100%;
        right: -100%;
        width: 255px;
        min-height: 100vh;
        display: flex;
        flex-direction: column;
        background: var(--bg-color);
        transition: all 0.3 ease;
        
    }

    .navbar a{
        display: block;
        padding: 17px;
        font-size: 22px;
        
    }

    .navbar.active{
        right: 0;
    }

    header{
        padding: 2rem 3%;
    }

    section{
        padding: 10rem 3%;

    }

    .about-content h2{
        margin-top: 2rem;
        text-align: center;
        font-size: 5rem;

    }

    .footer{
        padding: 40px 0;
    }
}

@media (max-width:786px){
    .home{
        flex-direction: column;

    }

    .home-content h3{
        font-size: 4.5rem;
        margin-top: 1.5rem;

    }

    .home-content h1{
        font-size: 5rem;
        margin-top: 1.5rem;

    }

    .home-content{
        order: 2;

    }

    .about{
        flex-direction: column;

    }

    .about-content{
        text-align: center;

    }

    .about-content h2{
        text-align: center;
    }


}

@media (max-width:617px){
    .about-img img{
        width: 70px;
        margin-top: 4rem;
    }
}

@media (max-width:440px){
    html{
        font-size: 50%;
    }
}